Bug 239857 - lang/go14: Don't install doc and test files
Summary: lang/go14: Don't install doc and test files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Julien Laffaye
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-14 14:52 UTC by Adam Weinberger
Modified: 2019-10-08 00:58 UTC (History)
2 users (show)

See Also:
tobik: maintainer-feedback-


Attachments
go14: remove doc and test files (44.08 KB, patch)
2019-08-14 14:52 UTC, Adam Weinberger
no flags Details | Diff
go14: remove doc and test files v2 (44.85 KB, patch)
2019-09-23 13:46 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2019-08-14 14:52:52 UTC
Created attachment 206541 [details]
go14: remove doc and test files

Hi Julien,

Currently, lang/go14 installs about 1,400-ish doc and test files. The only role of go14 is to build lang/go, and those files have no role in that.

The attached patch removes those files.
Comment 1 Adam Weinberger freebsd_committer 2019-09-04 12:06:24 UTC
Hi Julien, could you weigh in on this PR please?
Comment 2 Tobias Kortkamp freebsd_committer 2019-09-23 08:09:12 UTC
Maintainer timeout.

Dmitri, does this look sensible to you?
Comment 3 Dmitri Goutnik freebsd_committer 2019-09-23 13:45:52 UTC
(In reply to Tobias Kortkamp from comment #2)
That depends on whether we care about tests or not. Just removing ${WRKSRC}/test will break do-test target as there will be no tests to run. Attached patch reshuffles things a bit to only install what's needed for bootstrapping lang/go while keeping tests in working order.

Tested with poudriere bulk of lang/go14 and lang/go on 113a, 120i, 120a.
Comment 4 Dmitri Goutnik freebsd_committer 2019-09-23 13:46:24 UTC
Created attachment 207742 [details]
go14: remove doc and test files v2
Comment 5 Adam Weinberger freebsd_committer 2019-10-02 10:47:17 UTC
From my perspective, this looks good. Dmitri, I urge you to go make this happen!
Comment 6 commit-hook freebsd_committer 2019-10-08 00:55:46 UTC
A commit references this bug:

Author: dmgk
Date: Tue Oct  8 00:54:59 UTC 2019
New revision: 514016
URL: https://svnweb.freebsd.org/changeset/ports/514016

Log:
  lang/go14: Don't install doc and test files

  Currently, lang/go14 installs about 1,400-ish doc and test files.
  The only role of go14 is to build lang/go, and those files have
  no role in that.

  PR:		239857
  Approved by:	jlaffaye (maintainer timeout, >1 month), tz (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21879

Changes:
  head/lang/go14/Makefile
  head/lang/go14/pkg-plist